<template>
  <SchemaForm
    :schema="schema"
    v-model="formData"
  />
</template>
<script>
import { SchemaForm } from 'formvuelatte'
export default {
  components: {
    SchemaForm
  },
  props: {
    value: {
      type: Object,
      default: () => {}
    },
    schema: {
      type: Object || Array,
      default: () => {}
    }
  },
  computed: {
    formData: {
      set (value) {
        this.$emit('input', value)
      },
      get () {
        return this.value
      }
    }
  },
  methods: {
    test (e) {
      console.log(e)
    }
  }
}
</script>
<style lang="scss">
  .schema-form {
    max-width: 400px;
    min-width: 300px;
  }
</style>
